Eclipse for Plug-in and RCP Developers

The Eclipse Software Development Kit (SDK) contains everything you need to build Eclipse applications, including plug-ins for the development environment and Eclipse Rich Client Platform (RCP) applications.

The new Eclipse SDK 3.2 release features some exciting new capabilities for plug-in and RCP developers, including:

  • Java 6 support
  • Support for Mac OSX on Intel and Preview support for Windows Vista
  • SWT Enhancements including support for OpenGL, virtual trees, custom table cell drawing
  • Improvements in Plug-in Development Environment (PDE) to make building RCP applications easier
  • Common Navigator Framework
  • New standalone OSGi framework

For a more complete list, check out the New and Noteworthy.

The Eclipse SDK can be extended to provide additional functionality by adding features from the Callisto Discovery Site.

What do you need?

Eclipse 3.2 is required for Callisto. There is no upgrade path from previous versions of Eclipse.

  • The Eclipse SDK 3.2
  • Optional features available via the Callisto Discovery Site
    • Visual Editor (VE)
    • Eclipse Modeling Framework (EMF)
    • Graphical Editing Framework (GEF)
    • Graphical Modeling Framework (GMF)
    • Reporting Tools (BIRT)
    • Data Tools (DTP)